Package org.jbpm.services.task.audit.service

## Class TaskEventQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>
    - - org.jbpm.services.task.audit.service.TaskEventQueryBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`, `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskEventQueryBuilder>`, `org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`, `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`, `org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`, `org.kie.internal.task.query.TaskEventQueryBuilder`

      public class TaskEventQueryBuilderImpl
      extends AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>
      implements org.kie.internal.task.query.TaskEventQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder

      `org.kie.internal.runtime.manager.audit.query.AuditLogQueryBuilder.OrderBy`

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.query.TaskEventQueryBuilder

      `org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskEventQueryBuilderImpl​(JPAAuditLogService jpaAuditService)` |
    `TaskEventQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `ascending​(org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy field)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `descending​(org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy field)` |
    `protected Class<TaskEventImpl>` | `getQueryType()` |
    `protected Class<org.kie.internal.task.api.model.TaskEvent>` | `getResultType()` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `id​(long... id)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `logTime​(Date... logTime)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `logTimeRange​(Date logTimeMin, Date logTimeMax)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `message​(String... name)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `taskId​(long... taskId)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `taskIdRange​(Long taskIdMin, Long taskIdMax)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `type​(org.kie.internal.task.api.model.TaskEvent.TaskEventType... taskEventType)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `userId​(String... userId)` |
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `workItemId​(long... workItemId)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl

      `ascending, build, date, dateRangeEnd, dateRangeStart, descending, getJpaAuditLogService, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Constructor Detail

    - #### TaskEventQueryBuilderImpl

          public TaskEventQueryBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdService)

    - #### TaskEventQueryBuilderImpl

          public TaskEventQueryBuilderImpl​(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### message

          public org.kie.internal.task.query.TaskEventQueryBuilder message​(String... name)

      Specified by:
        `message` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### taskId

          public org.kie.internal.task.query.TaskEventQueryBuilder taskId​(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### taskIdRange

          public org.kie.internal.task.query.TaskEventQueryBuilder taskIdRange​(Long taskIdMin,
                                                                               Long taskIdMax)

      Specified by:
        `taskIdRange` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### id

          public org.kie.internal.task.query.TaskEventQueryBuilder id​(long... id)

      Specified by:
        `id` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### logTime

          public org.kie.internal.task.query.TaskEventQueryBuilder logTime​(Date... logTime)

      Specified by:
        `logTime` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### logTimeRange

          public org.kie.internal.task.query.TaskEventQueryBuilder logTimeRange​(Date logTimeMin,
                                                                                Date logTimeMax)

      Specified by:
        `logTimeRange` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### userId

          public org.kie.internal.task.query.TaskEventQueryBuilder userId​(String... userId)

      Specified by:
        `userId` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### workItemId

          public org.kie.internal.task.query.TaskEventQueryBuilder workItemId​(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### type

          public org.kie.internal.task.query.TaskEventQueryBuilder type​(org.kie.internal.task.api.model.TaskEvent.TaskEventType... taskEventType)

      Specified by:
        `type` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### ascending

          public org.kie.internal.task.query.TaskEventQueryBuilder ascending​(org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### descending

          public org.kie.internal.task.query.TaskEventQueryBuilder descending​(org.kie.internal.task.query.TaskEventQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.task.query.TaskEventQueryBuilder`

    - #### getResultType

          protected Class<org.kie.internal.task.api.model.TaskEvent> getResultType()

      Specified by:
        `getResultType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`

    - #### getQueryType

          protected Class<TaskEventImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditQueryBuilderImpl<org.kie.internal.task.query.TaskEventQueryBuilder,​org.kie.internal.task.api.model.TaskEvent>`